# Tags

* **name:** EXAMPLE
  * This is the name of the reward, in this case, it is called "EXAMPLE".
* **material:** WHITE\_BANNER
  * Material to be used, which will be displayed in the menu.
* **patterns:** '{BlockEntityTag:{Patterns:\[{Color:11,Pattern:"flo"},{Color:15,Pattern:"mr"},{Color:15,Pattern:"cbo"},{Color:1,Pattern:"mc"},{Color:15,Pattern:"tt"}]}}'
  * Banner pattern, will only work if a banner is used.
* **model\_data:** 0
  * custom model data to assign to the material.
* **amount:** 1
  * Amount of the material, this will also be displayed in the menu.
* **glowing:** false
  * Use "true" to charm the material.
* **hide\_attributes:** true
  * Hide material attributes, e.g. (Swords)
* **dyeable:** true
  * If "true" the tag will be able to change its color?
* **tag:** \[HEART]
  * This will be the tag that will be shown to all players.
* **title:** '\&f◆ Colorful Emblem Bearer ◆'
  * This will be the title that will be displayed under your nickname
* **display\_name:** '&8Heart Tag'
  * This will be the display in the item, which will be shown in the menu.
* **require\_permission:**&#x20;
  * **enabled: false**
    * If you do not use this function, just disable.
  * **permission:** none
    * If you do not want to assign any permissions, use "none" as permission.
  * **message:** '\&cYou require \&b\[RANK]\&c to purchase this tag!'
    * Message that will be displayed to the player if he does not have the permission.
* **purchase\_requires:**
  * **enabled:** true
    * Enable this function if you want the tag to be available for purchase.
  * **type:** VAULT
    * Select the type of economy you want to use.
  * **price:** 10000
    * Add the purchase price.
  * message: '\&cYou don''t have enough money to purchase this tag!'
    * Message that the player will receive if the amount is not available
* **lore:**
  * Configure the lore to be displayed depending on the status.

```yaml
name: dyeable-heart-banner-tag
material: WHITE_BANNER
patterns: '{BlockEntityTag:{Patterns:[{Color:11,Pattern:"flo"},{Color:15,Pattern:"mr"},{Color:15,Pattern:"cbo"},{Color:1,Pattern:"mc"},{Color:15,Pattern:"tt"}]}}'
model_data: 0
amount: 1
glowing: false
hide_attributes: true
dyeable: true
tag: '[HEART]'
title: '&f◆ Colorful Emblem Bearer ◆'
display_name: '&8Heart Tag'
require_permission:
  enabled: false
  permission: none
  message: '&cYou require &b[RANK]&c to purchase this tag!'
purchase_requires:
  enabled: true
  type: VAULT
  price: 100000
  message: '&cYou don''t have enough money to purchase this tag!'
lore:
  locked:
  - '&7Looking for a cool dyeable tag'
  - '&7to show who how big is your heart?'
  - '&7This tag is for you!'
  - ''
  - '&7Preview: &f{tag}'
  - '&7Recognition title:'
  - '&f{title}'
  - ''
  - '&cPrice: &a${price}'
  - ' '
  - '&cRequires &6[RANK]&c rank!'
  - '&eClick to purchase.'
  unlocked:
  - '&7Looking for a cool dyeable tag'
  - '&7to show who how big is your heart?'
  - '&7This tag is for you!'
  - ''
  - '&7Preview: &f{tag}'
  - '&7Recognition title:'
  - '&f{title}'
  - ''
  - '&eClick to select.'
  selected:
  - '&7Looking for a cool dyeable tag'
  - '&7to show who how big is your heart?'
  - '&7This tag is for you!'
  - ''
  - '&7Preview: &f{tag}'
  - '&7Recognition title:'
  - '&f{title}'
  - ''
  - '&aSelected.'

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xshyo.us/free-plugins/thetags/tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
